Bug 409916 - CMYK profiles not listed. Setting document to CMYK color mode - immediate crash
Summary: CMYK profiles not listed. Setting document to CMYK color mode - immediate crash
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Color models (show other bugs)
Version: 4.2.3
Platform: Microsoft Windows Microsoft Windows
: NOR crash
Target Milestone: ---
Assignee: Tiar
URL:
Keywords: regression, release_blocker
Depends on:
Blocks:
 
Reported: 2019-07-17 20:40 UTC by bullshitmatic
Modified: 2019-07-29 08:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bullshitmatic 2019-07-17 20:40:47 UTC
SUMMARY
There is no option to set document to CMYK color mode. In the list of color profiles there are no CMYK ones and setting document to CMYK results in crash.

STEPS TO REPRODUCE
1. Try to set document to CMYK color mode
2. Hit "Apply"
3. Observe the inevitable crash

OBSERVED RESULT
Crash

EXPECTED RESULT
Document set to CMYK mode

SOFTWARE/OS VERSIONS
Windows: 10 home edition and win 7 ultimate
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Tiar 2019-07-19 14:54:22 UTC
Git commit 4f769aa455bf2a594bedd445d07749aa6bc1e33d by Agata Cacko.
Committed on 19/07/2019 at 14:50.
Pushed by tymond into branch 'master'.

Fix crash on CMYK profiles not updated

Before this commit there was a crash if the default (last used)
color model was not CMYK, but the user wanted to create a CMYK
file. Color profiles didn't get updated, so Krita tried to create
a document with an incompatible color profile which resulted in crash.
This commit ensures the correct color model is used.

M  +2    -0    libs/ui/widgets/kis_color_space_selector.cc

https://invent.kde.org/kde/krita/commit/4f769aa455bf2a594bedd445d07749aa6bc1e33d
Comment 2 Halla Rempt 2019-07-29 08:35:38 UTC
Git commit 9e9b288ebcf4edcf2e51d7240176f5e59ce7b7e4 by Boudewijn Rempt, on behalf of Agata Cacko.
Committed on 29/07/2019 at 08:33.
Pushed by rempt into branch 'krita/4.2'.

Fix crash on CMYK profiles not updated

Before this commit there was a crash if the default (last used)
color model was not CMYK, but the user wanted to create a CMYK
file. Color profiles didn't get updated, so Krita tried to create
a document with an incompatible color profile which resulted in crash.
This commit ensures the correct color model is used.

M  +2    -0    libs/ui/widgets/kis_color_space_selector.cc

https://invent.kde.org/kde/krita/commit/9e9b288ebcf4edcf2e51d7240176f5e59ce7b7e4